#include "def.h"
#include <map>
#include <vector>
#include <algorithm>



class BlockNestedLoops
{
public:
	int numDimensions; // number of dimensions
	int *dimSizes; // dimensions size
	int numPoints; // bitslice size
	vector<int*> points; // the points

	BlockNestedLoops();
	BlockNestedLoops(char *infile);
	vector<int*> getSkyline(int wsize);
	~BlockNestedLoops();

protected:
	bool dominates(int *a, int *b);
	bool isDominatedBy(int *a, int *b);
	void printPoints(vector<int*> points);
};
