#include "def.h"
#include <map>
#include <vector>
#include <algorithm>
#include "cache_block.h"



class BlockNestedLoopsForCachePoints
{
public:
	int numDimensions; // number of dimensions
	vector<CacheBlock> points; // the points
	int *query;

	BlockNestedLoopsForCachePoints(vector<CacheBlock> cp, int* query, int numDimensions);
	vector<CacheBlock> getSkyline(int wsize);
	~BlockNestedLoopsForCachePoints();

protected:
	bool dominates(int *a, int *b);
	bool isDominatedBy(int *a, int *b);
	void printPoints(vector<CacheBlock> points);
};
